stringtriebuilder.h File Reference

C++ API: Builder API for trie builders. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`

Go to the source code of this file.

## Enumerations

enum | UStringTrieBuildOption { USTRINGTRIE_BUILD_FAST , USTRINGTRIE_BUILD_SMALL }
| Build options for BytesTrieBuilder and CharsTrieBuilder. More...

## Detailed Description

C++ API: Builder API for trie builders.

Definition in file stringtriebuilder.h.

## Enumeration Type Documentation

## UStringTrieBuildOption

enum UStringTrieBuildOption

Build options for BytesTrieBuilder and CharsTrieBuilder.

Stable:
  ICU 4.8

Enumerator

USTRINGTRIE_BUILD_FAST

Builds a trie quickly.

Stable:
  ICU 4.8

USTRINGTRIE_BUILD_SMALL

Builds a trie more slowly, attempting to generate a shorter but equivalent serialization.

This build option also uses more memory.

This option can be effective when many integer values are the same and string/byte sequence suffixes can be shared. Runtime speed is not expected to improve.

Stable:
  ICU 4.8

Definition at line 41 of file stringtriebuilder.h.